Bug 17117 - Patron personal details not displayed unless branch update request is enabled
Summary: Patron personal details not displayed unless branch update request is enabled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jacek Ablewicz
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-12 14:18 UTC by Jacek Ablewicz
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17117 - Patron personal details not displayed unless branch update request is enabled (2.21 KB, patch)
2016-08-12 14:31 UTC, Jacek Ablewicz
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17117: Patron personal details not displayed unless branch update request is enabled (2.30 KB, patch)
2016-08-12 15:15 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17117: Patron personal details not displayed unless branch update request is enabled (2.35 KB, patch)
2016-08-14 12:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jacek Ablewicz 2016-08-12 14:18:48 UTC
In patron acount ("your personal details" tab, which serves as a form for submitting update requests as well) it's not possible to display some account details like expiration date etc., without enabling the field for branch / library update requests too.

To reproduce:
- set OPACPatronDetails to "Allow"
- clear PatronSelfModificationBorrowerUnwantedField preference
- all possible fields in the update requests form are visible in patron account, including some extra details (card number, expiration date, category) in the "Library" section on top
- put 'branchcode' in PatronSelfModificationBorrowerUnwantedField preference
- the whole 'Library' section disappears
Comment 1 Jacek Ablewicz 2016-08-12 14:31:35 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-08-12 15:15:42 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-14 12:16:36 UTC
Created attachment 54428 [details] [review]
[PASSED QA] Bug 17117: Patron personal details not displayed unless branch update request is enabled

In patron acount ("your personal details" tab, which serves as a form
for submitting update requests as well) it's not possible to display
some account details like expiration date etc., without enabling
the field for branch / library update requests too.

To reproduce:

1) set OPACPatronDetails to "Allow"
2) clear PatronSelfModificationBorrowerUnwantedField preference
- all possible fields in the update requests form are visible
in patron account, including some extra details (card number,
expiration date, category) in the "Library" section on top
3) put 'branchcode' in PatronSelfModificationBorrowerUnwantedField preference
4) the whole 'Library' section disappears

To test:

1) apply patch
2) put 'branchcode' in PatronSelfModificationBorrowerUnwantedField,
'Library' section should remain visible (sans branch selection option)
3) put 'branchcode|cardnumber|datexpiry|categorycode' in the same
preference, 'Library' section should now disappear

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-08-18 15:59:48 UTC
Pushed to master for 16.11, thanks Jacek!
Comment 5 Frédéric Demians 2016-08-23 10:38:57 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-24 10:43:13 UTC
Pushed to 3.22.x, will be in 3.22.10